#ifndef _UART_H_
  #define _UART_H_
  
  class sUART
  {
  public:
    bool Init(unsigned char _port,unsigned long _baud);
    bool SendByte	(unsigned char byte);
    bool Read (unsigned char* data_dest, unsigned int size);
    void Write(unsigned char* data_src, unsigned int size=0);
    void Write(char* data_src, unsigned int size=0){Write( (unsigned char*)data_src,size);}
    void Write(const unsigned char* data_src, unsigned int size=0){Write((unsigned char*)data_src,size);}
    void Write(const char* data_src, unsigned int size=0){Write((unsigned char*)data_src,size);}
	usr::TCbuf*	rxbuffer;
	usr::TCbuf*	txbuffer;
	OS::TMutex	ready;
  private:
    unsigned char	port;
    unsigned int	baud;
  };

#define BAUD_9600	(unsigned char)103
#define BAUD_57600	(unsigned char)16

#endif