#ifndef _MAIN_H_
  #define _MAIN_H_
    
	#define F_CPU	8000000UL

  #include <ioavr.h>
  #include <intrinsics.h>
  #include <pgmspace.h>
  #include <stdlib.h>
  #include <math.h>
  #include <stdio.h>
  #include <time.h>

  #include "scmRTOS.h"
  #include "UART.h"

  #define UART0		0
  #define UART1		1

typedef union _Byte_
{
	unsigned char	uchar;
    signed char		schar;
	struct _byte_bits_
	{
		unsigned char b0	:1;
		unsigned char b1	:1;
		unsigned char b2	:1;
		unsigned char b3	:1;
		unsigned char b4	:1;
		unsigned char b5	:1;
		unsigned char b6	:1;
		unsigned char b7	:1;
	}Bits;
}Byte;

typedef union _Word_
{
	unsigned int	uint;
    signed int		sint;
    struct _word_bytes_
    {
		Byte Low;
		Byte High;
    }Bytes;
}Word;

typedef union _DWord_
{
	unsigned long ulong;
	signed long slong;
	struct _dword_words_
	{
		Word Low;
		Word High;
	}Words;
}DWord;


#endif
